complexType "CommodityExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 10 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (americanExercise | europeanExercise), automaticExercise?, writtenConfirmation?, settlementCurrency, fx?, conversionFactor?, (relativePaymentDates | paymentDates | masterAgreementPaymentDates)
</...>

Content Model Elements (10):

  americanExercise (defined in CommodityExercise complexType),
  automaticExercise (defined in CommodityExercise complexType),
  conversionFactor (defined in CommodityExercise complexType),
  europeanExercise (defined in CommodityExercise complexType),
  fx (defined in CommodityExercise complexType),
  masterAgreementPaymentDates,
  paymentDates (defined in CommodityNonPeriodicPaymentDates.model group),
  relativePaymentDates,
  settlementCurrency (defined in CommodityExercise complexType),
  writtenConfirmation (defined in CommodityExercise complexType)

All Direct / Indirect Based Elements (2):

  exercise (in commodityOption), | exercise (in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  exercise (in commodityOption), | exercise (in commodityOption)

Annotation
The parameters for defining how the commodity option can be exercised, how it is priced and how it is settled.
XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="CommodityExercise"> <xsd:sequence> <xsd:choice> <xsd:element name="americanExercise" type="CommodityAmericanExercise"/> <xsd:element name="europeanExercise" type="CommodityEuropeanExercise"/> </xsd:choice> <xsd:element minOccurs="0" name="automaticExercise" type="xsd:boolean"/> <xsd:element minOccurs="0" name="writtenConfirmation" type="xsd:boolean"/> <xsd:element name="settlementCurrency" type="IdentifiedCurrency"/> <xsd:element minOccurs="0" name="fx" type="CommodityFx"/> <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/> <xsd:group ref="CommodityPaymentDates.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/10)
americanExercise

  Type: | CommodityAmericanExercise, complex content

  The parameters for defining the expiration date for an American option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="americanExercise" type="CommodityAmericanExercise"/>

automaticExercise

  Type: | xsd:boolean, predefined, simple content

  Specifies whether or not Automatic Exercise applies to a Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="automaticExercise" type="xsd:boolean"/>

conversionFactor

  Type: | xsd:decimal, predefined, simple content

  If the Notional Quantity is specified in a unit that does not match the unit in which the Commodity Reference Price is quoted, the scaling or conversion factor used to convert the Commodity Reference Price unit into the Notional Quantity unit should be stated here. If there is no conversion, this element is not intended to be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="conversionFactor" type="xsd:decimal"/>

europeanExercise

  Type: | CommodityEuropeanExercise, complex content

  The parameters for defining the expiration date and time for a European or Asian style option. For an Asian style option the expiration date is equivalent to the termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="europeanExercise" type="CommodityEuropeanExercise"/>

fx

  Type: | CommodityFx, complex content

  FX observations to be used to convert the observed Commodity Reference Price to the Settlement Currency.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fx" type="CommodityFx"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency into which the Commodity Option Transaction will settle. If this is not the same as the currency in which the Commodity Reference Price is quoted, then an FX determination method should also be specified.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="settlementCurrency" type="IdentifiedCurrency"/>

writtenConfirmation

  Type: | xsd:boolean, predefined, simple content

  Specifies whether or not Written Confirmation applies to a Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="writtenConfirmation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.